Subject: [bug#36477] [PATCH v4 18/23] gexp: Use cross extensions when cross-compiling.

From: Ludovic Courtès <[email-masked]>
Date: Fri, 11 Oct 2019 12:22:00 +0200

Hi Mathieu,

Mathieu Othacehe <[email-masked]> skribis:

> I forget the commit message. It would be:
>
> * guix/gexp.scm (load-path-expression): Use ungexp-splicing instead of
> ungexp-native-splicing
> so that the cross modules are used when target is set.

This one LGTM because ‘load-path-expression’ is used in ‘gexp->file’ and
‘gexp->script’, where, indeed, we want to use the target extensions (and
target modules too!).

Please push to ‘master’ (I don’t think it triggers a full rebuild, but
I’d suggest double-checking anyway :-)).

Thanks!

Ludo’.